Package ch.qos.logback.access.net

## Class AccessEventPreSerializationTransformer

- java.lang.Object
- - ch.qos.logback.access.net.AccessEventPreSerializationTransformer

All Implemented Interfaces:
  `PreSerializationTransformer<IAccessEvent>`

    public class AccessEventPreSerializationTransformer
    extends java.lang.Object
    implements PreSerializationTransformer<IAccessEvent>

### Constructor Summary

Constructors
`AccessEventPreSerializationTransformer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.io.Serializable` `transform​(IAccessEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccessEventPreSerializationTransformer

    public AccessEventPreSerializationTransformer()

### Method Detail

#### transform

    public java.io.Serializable transform​(IAccessEvent event)

Specified by:
  `transform` in interface `PreSerializationTransformer<IAccessEvent>`